﻿using System.Net;

namespace httpExplorer.ViewModel
{
    interface IModel
    {
        void InitiateHttpRequest(string url, IWebProxy proxy = null);
        void InitiateHttpRequestUsingSystemProxy(string url);
        void InitiateHttpRequestUsingProxy(string url, string proxyUri, bool useDefaultCredentials);
        void InitiateHttpRequestUsingProxy(string url, string proxyUri, string username, string password, string domain);
    }
}
