﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using httpExplorer.ViewModel;

namespace httpExplorer.Xaml
{
    /// <summary>
    /// Description for InputGrid.
    /// </summary>
    public partial class InputGrid
    {
        /// <summary>
        /// Initializes a new instance of the InputGrid class.
        /// </summary>
        public InputGrid()
        {
            InitializeComponent();
        }

        private void OnKeyUp(object sender, KeyEventArgs e)
        {
            if ( e.Key == Key.Enter )
            {
                ((InputViewModel) DataContext).GoCommand.Execute(null);
            }
        }
    }
}